public class In_InOut_Out
{
   public static void main(String[] args)
   {
      MyInt a = new MyInt(5);
      MyInt b = new MyInt(6);
      MyInt c = new MyInt();
      int d = f(a, b, c); // this will mutate b and c
   }

   /**
      This function computes, and "returns" the
      sum, difference, and product of the x and y
      input parameters.

      x is an IN parameter
      y is an INOUT parmeter
      z is an OUT parameter
      return the product of x and y
   */
   public static int f(MyInt x, MyInt y, MyInt z)
   {
      int sum = x.i + y.i;
      int dif = x.i - y.i;
      int prod = x.i * y.i;
      y.i = sum;
      z.i = dif;
      return prod;
   }
}

class MyInt { // We need a mutable version of the Integer wrapper class.
   public int i;
   public MyInt(){}
   public MyInt(int i){this.i = i;}
}